Bug 972632 - SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'create' accesses on the netlink_socket .
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'create' accesses o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a6d2334493985cd367aa87e04a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 05:36 EDT by sabugiense
Modified: 2013-07-24 20:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sabugiense 2013-06-10 05:36:57 EDT
Description of problem:
SELinux is preventing /usr/java/jre1.7.0_21/bin/java from 'create' accesses on the netlink_socket .

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If você acredita que o java deva ser permitido acesso de create em  netlink_socket  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Objects                 [ netlink_socket ]
Source                        java
Source Path                   /usr/java/jre1.7.0_21/bin/java
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           jre-1.7.0_21-fcs.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-06-10 06:36:42 FNT
Last Seen                     2013-06-10 06:36:42 FNT
Local ID                      5b62b557-3e10-4a33-9fbc-1ef0fc123e90

Raw Audit Messages
type=AVC msg=audit(1370853402.582:363): avc:  denied  { create } for  pid=4329 comm="java" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=netlink_socket


type=SYSCALL msg=audit(1370853402.582:363): arch=x86_64 syscall=socket success=no exit=EACCES a0=10 a1=3 a2=10 a3=10 items=0 ppid=4251 pid=4329 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=java exe=/usr/java/jre1.7.0_21/bin/java subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: java,mozilla_plugin_t,mozilla_plugin_t,netlink_socket,create

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket create;

audit2allow -R
require {
	type mozilla_plugin_t;
	class netlink_socket create;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t self:netlink_socket create;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Fedora Update System 2013-06-27 09:35:42 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 2 Fedora Update System 2013-06-28 02:09:43 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-24 20:39:37 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.